# Type alias VMStructOutput

VMStructOutput: [version: bigint, timestamp: bigint, nonce: bigint, emitterChainId: bigint, emitterAddress: string, sequence: bigint, consistencyLevel: bigint, payload: string, guardianSetIndex: bigint, signatures: SignatureStructOutput[], hash: string] & {
consistencyLevel: bigint;
emitterAddress: string;
emitterChainId: bigint;
guardianSetIndex: bigint;
hash: string;
nonce: bigint;
payload: string;
sequence: bigint;
signatures: SignatureStructOutput[];
timestamp: bigint;
version: bigint;
}

#### Type declaration

- ##### consistencyLevel: bigint

- ##### emitterAddress: string

- ##### emitterChainId: bigint

- ##### guardianSetIndex: bigint

- ##### hash: string

- ##### nonce: bigint

- ##### payload: string

- ##### sequence: bigint

- ##### signatures: SignatureStructOutput[]

- ##### timestamp: bigint

- ##### version: bigint

- Defined in ethers-contracts/Implementation.ts:65

Generated using TypeDoc